View Issue Details

IDProjectCategoryView StatusLast Update
0005521GNUnetwebpagepublic2019-02-20 12:21
Reporterng0Assigned Tong0 
PrioritylowSeverityminorReproducibilityhave not tried
Status resolvedResolutionreopened 
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005521: make new website build easier/more portable
Description- Makefile:
  * conditionally without gmake extensions pick up values for BABEL and
    PYTHON. They can be python3, python2, python2.7, pybabel, pybabel-2.7
    etc.
  * Ideally don't require gmake to run make.

point 2 is a hint at making building more portable.

point 1 means that we get to drop config.mk depending on if it works without it
or simply keep it. The idea is to either get this done, or keep the way I've written it currently.
Tagswebsite

Activities

ng0

2019-01-30 19:41

developer   ~0013526

maybe-0.11.0 maybe-not

Christian Grothoff

2019-02-14 12:08

manager   ~0013751

Why do we even care here? I am happy to mandate gmake (and Python 3.7, see other bug) for building the Web site. Here we just need clear instructions and it should be buildable easily from Debian and Guix. Everything else doesn't seem that important.

ng0

2019-02-14 13:31

developer   ~0013755

I care because ideally I can make it run on my system, which is not Debian or Guix. It's okay to use gmake and python3.7. The low priority here is that this small Makefile should be able to run without gnu make extensions.

Christian Grothoff

2019-02-14 13:35

manager   ~0013757

You being able to run it on your system is of course a good, valid goal. But do you really not have GNU make!??!?

ng0

2019-02-14 13:52

developer   ~0013758

The amount of questionmarks tells me that you might be impatient to close this bug.
As written in previous bugs, yes I have gnu make available.
If you want to, go ahead and close this, it's optional and low priority.

ng0

2019-02-14 14:01

developer   ~0013760

point 1 is closed, happened with earlier commits. config.mk is good as it is, people can define their own values in the file. closing for now.

Christian Grothoff

2019-02-14 14:16

manager   ~0013763

!??!? was not about impatience, but about me being very confused as to what the issue really is (I had overlooked that gmake was OK). You wrote that you cannot 'make it run on my (your) system'. If there is anything left that prevents that, please do re-open. If not, let's bury this one ;-).

ng0

2019-02-14 14:23

developer   ~0013765

Okay, thanks for the clarification. Expressions don't transport very well in just text.
I just prefer it when a system native "make" can be run, regardless of it being gmake, make, or whatever it point to. Not depending on Gnu make extensions means that this would be a bit more platform neutral. It's just something I want to see. It works as it is on my system and no one else will probably complain. See it as an analogy to shell-independent shell scripts.

There were 2 issues in here. The second described above, the first one has been worked around and would probably need autotools to pick up versions etc or sed, cut, etc. config.mk is the work around

Christian Grothoff

2019-02-14 14:27

manager   ~0013767

I see. I don't really see the need to support non-GNU make for the Web page, few users will build it, and GNU make is widely available anyway. As for autotools, that does seem a bit like overkill here. But what exactly would you want to test for? This remains too vague for me.

ng0

2019-02-14 14:33

developer   ~0013768

various executable and versions have various names and locations.
python3, python3.7, python can all mean "python version 3.7".

$python .c "print(__import__('sys').version)" | grep "3.7" | cut -c1-3
ensures that at least python 3.7 is matched.

My diff at the moment is this to make the website build work:

diff --git a/config.mk b/config.mk
index 026cacb..6633dd0 100644
--- a/config.mk
+++ b/config.mk
@@ -3,7 +3,7 @@ PYTHONPATH=$(PWD):$(GUIX_PYTHONPATH)
 
 DEBUG=0
 
-PYTHON=python3
-BABEL=pybabel
+PYTHON=python3.7
+BABEL=pybabel-3.7
 
 RUN_BROWSER=$(BROWSER)

ng0

2019-02-17 19:30

developer   ~0013849

My earlier statement that NetBSD make doesn't work was nonsense.
It works.

ng0

2019-02-17 19:31

developer   ~0013850

As everything works as it is, for now, this is good enough until more points of annoyance keep stacking up.

Issue History

Date Modified Username Field Change
2019-01-27 16:11 ng0 New Issue
2019-01-29 15:14 catonano Tag Attached: website
2019-01-30 19:41 ng0 Note Added: 0013526
2019-01-30 19:41 ng0 Category other => webpage
2019-01-30 19:41 ng0 Target Version => 0.11.0
2019-02-04 00:55 Christian Grothoff Target Version 0.11.0 => 0.11.1
2019-02-14 12:08 Christian Grothoff Note Added: 0013751
2019-02-14 12:08 Christian Grothoff Assigned To => ng0
2019-02-14 12:08 Christian Grothoff Status new => feedback
2019-02-14 13:31 ng0 Note Added: 0013755
2019-02-14 13:35 Christian Grothoff Note Added: 0013757
2019-02-14 13:52 ng0 Note Added: 0013758
2019-02-14 14:01 ng0 Note Added: 0013760
2019-02-14 14:01 ng0 Status feedback => resolved
2019-02-14 14:01 ng0 Resolution open => fixed
2019-02-14 14:01 ng0 Fixed in Version => SVN HEAD
2019-02-14 14:16 Christian Grothoff Note Added: 0013763
2019-02-14 14:16 Christian Grothoff Product Version => SVN HEAD
2019-02-14 14:16 Christian Grothoff Fixed in Version SVN HEAD => 0.11.0
2019-02-14 14:16 Christian Grothoff Target Version 0.11.1 => 0.11.0
2019-02-14 14:18 ng0 Status resolved => feedback
2019-02-14 14:18 ng0 Resolution fixed => reopened
2019-02-14 14:23 ng0 Note Added: 0013765
2019-02-14 14:27 Christian Grothoff Note Added: 0013767
2019-02-14 14:33 ng0 Note Added: 0013768
2019-02-16 00:07 ng0 Fixed in Version 0.11.0 =>
2019-02-16 00:07 ng0 Target Version 0.11.0 => 0.12.0
2019-02-17 19:30 ng0 Note Added: 0013849
2019-02-17 19:31 ng0 Status feedback => resolved
2019-02-17 19:31 ng0 Fixed in Version => 0.11.0
2019-02-17 19:31 ng0 Note Added: 0013850
2019-02-20 12:21 Christian Grothoff Target Version 0.12.0 => 0.11.0